#ifndef _DIGIT_H_
#define _DIGIT_H_

#include <string>

/**************************************************************************************/
enum actionsType
{
	DIGIT,
	VAR,
	EXP,
	MULT,
	DIV,
	PLUS,
	MINUS,
	SMALL,
	BIG,
	EQ,
	LEFT,
	RIGHT
};

/**************************************************************************************/
class number
{
public://////////////////////////////////////////////////////////////////////////

								number( void );
								number( char* inValue );

public://////////////////////////////////////////////////////////////////////////

		void					Plus( const number& inValue );
		void					Minus( const number& inValue );
		void					Mult( const number& inValue );
		void					Div( const number& inValue );
		void					Pow( const number& inValue );

		void					Bigger( const number& inValue );
		void					Smaller( const number& inValue );
		void					Equal( const number& inValue );

		void					Print( void );

		bool					GetIsValid( void ) const			{ return mValid; }
		double					GetDouble( void ) const				{ return mValue; }

protected://////////////////////////////////////////////////////////////////////////

		double					ChangeBase( double inValue, long inBase );

protected://////////////////////////////////////////////////////////////////////////

		bool					mValid;
		double					mValue;
		long					mDigits;
};

/**************************************************************************************/
struct el
{
	actionsType	type;
	long		prior;
	number		value;
	std::string	name;
};

#endif // _DIGIT_H_
